## org.eclipse.wst.server.ui
Class ServerLaunchConfigurationTab

    java.lang.Object
      AbstractLaunchConfigurationTab
          org.eclipse.wst.server.ui.ServerLaunchConfigurationTab

    public class ServerLaunchConfigurationTab

extends AbstractLaunchConfigurationTab

Server launch configuration tab.

Since:
  1.0

Constructor Summary
`ServerLaunchConfigurationTab()` Create a new server launch configuration tab.
`ServerLaunchConfigurationTab(java.lang.String[] serverTypeIds)` Create a new server launch configuration tab with the given server type ids.

Method Summary
`void` `createControl(Composite parent)`
`Image` `getImage()`
`java.lang.String` `getName()`
`void` `initializeFrom(ILaunchConfiguration configuration)`
`boolean` `isValid(ILaunchConfiguration launchConfig)`
`void` `performApply(ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy configuration)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerLaunchConfigurationTab

    public ServerLaunchConfigurationTab()

  Create a new server launch configuration tab.

### ServerLaunchConfigurationTab

    public ServerLaunchConfigurationTab(java.lang.String[] serverTypeIds)

  Create a new server launch configuration tab with the given server type ids.

  Parameters:
    `serverTypeIds` - an array of server type ids

Method Detail

### createControl

    public void createControl(Composite parent)

  See Also:
    `org.eclipse.debug.ui.ILaunchConfigurationTab#createControl(Composite)`

### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

  See Also:
    `org.eclipse.debug.ui.ILaunchConfigurationTab#setDefaults(ILaunchConfigurationWorkingCopy)`

### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

  See Also:
    `org.eclipse.debug.ui.ILaunchConfigurationTab#initializeFrom(ILaunchConfiguration)`

### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

  See Also:
    `org.eclipse.debug.ui.ILaunchConfigurationTab#performApply(ILaunchConfigurationWorkingCopy)`

### isValid

    public boolean isValid(ILaunchConfiguration launchConfig)

  See Also:
    `org.eclipse.debug.ui.ILaunchConfigurationTab#isValid(ILaunchConfiguration)`

### getImage

    public Image getImage()

  See Also:
    `org.eclipse.debug.ui.ILaunchConfigurationTab#getImage()`

### getName

    public java.lang.String getName()

  See Also:
    `org.eclipse.debug.ui.ILaunchConfigurationTab#getName()`